# Class FileView

java.lang.Object
mpi.FileView

public final class FileView extends Object
This class represents file views.

## Constructor Summary

Constructors
Constructor
Description
`FileView(long disp, Datatype etype, Datatype filetype, String datarep)`
Constructs a file view.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDataRep()`
Gets the data representation.
`long`
`getDisp()`
Gets the displacement.
`Datatype`
`getEType()`
Gets the elementary datatype.
`Datatype`
`getFileType()`
Gets the file type.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileView

public FileView(long disp, Datatype etype, Datatype filetype, String datarep)
Constructs a file view.

Parameters:
  `disp` - displacement
  `etype` - elementary datatype
  `filetype` - file type
  `datarep` - data representation

## Method Details

### getDisp

public long getDisp()
Gets the displacement.

Returns:
  displacement

### getEType

public Datatype getEType()
Gets the elementary datatype.

Returns:
  elementary datatype

### getFileType

public Datatype getFileType()
Gets the file type.

Returns:
  file type

### getDataRep

public String getDataRep()
Gets the data representation.

Returns:
  data representation